;*****************************************************************************
;*
;*  VERSION CONTROL:    @(#)56690evm.asm	1.1 00/08/17
;*
;*  DESCRIPTION:        DSP566xx C-compiler startup code:
;*                      Hardware configuration values for DSP56690EVM.
;*
;*  IN PACKAGE:         DSP566xx C-compiler library.
;*
;*  COPYRIGHT:          Copyright (c) 2000 TASKING, Inc.
;*
;*****************************************************************************

		IF	!@DEF(_AS56)
		define	extern	'xref'
		section	r_56690evm_asm
		ENDIF
	
                global  R_56690evm
		global	R_BCRVALUE,R_OMRVALUE,R_SRVALUE

; these values are used by CrossView for register initialization before downloading

R_56690evm      equ     0


;*****************************************************************************
;*
;*	MEMORY CONFIGURATION REGISTERS:
;*	------------------------------
;*
;*	DSP56690EVM:
;*
;*	BCR:		00000000000-00001	    = $0001
;*			|	  | |   |
;*		 	|	  | +---+ BMW - Expansion Bus Memory Wait
;*			|	  | 4   0
;*			|         |
;*			+---------+ Reserved
;*			1	  6
;*			5
;*

		IF	!@DEF('VBAVALUE')
		define	VBAVALUE  '0'
		ENDIF

		IF	!@DEF('BCRVALUE')
		define	BCRVALUE  '$0001'
		ENDIF	; BCRVALUE

		IF	!@DEF('PLLVALUE')
		define	PLLVALUE  '$411F79' ; default ((16.8 / 2) * 15.7)/2 = 65.94 MHz
		ENDIF	; PLLVALUE

R_BCRVALUE	equ	BCRVALUE
R_OMRVALUE	equ	0
R_SRVALUE	equ	0


		NOLIST
		include	'reg56671.inc'	; Processor register definitions
		LIST

	        include 'cstart.inc'	; Generic startup code 
	
		IF	!@DEF(_AS56)
		endsec
		ENDIF

		end
	
;*****************************************************************************
